%global gitdate 20220506
%global commit 25074b01b7cedf28baf595770c0d349ee152e8e1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           purple-mattermost
Version:        2.1.git.%{gitdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        mattermost protocol plugin for libpurple
License:        GPLv3
Group:          Productivity/Networking/Instant Messenger
URL:            https://github.com/EionRobb/purple-mattermost
#Source0:        https://github.com/EionRobb/purple-mattermost/archive/v%{version}.tar.gz
Source0:	https://github.com/EionRobb/purple-mattermost/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  glib2-devel >= 2.28.0
BuildRequires:  json-glib-devel
BuildRequires:  libmarkdown-devel
BuildRequires:  libpurple-devel
BuildRequires:  git
BuildRequires:  zlib-devel


%description
mattermost protocol plugin for libpurple-based applications.

%package -n libpurple-plugin-mattermost
Summary:        mattermost protocol plugin for libpurple
Group:          Productivity/Networking/Instant Messenger
Enhances:       libpurple

%description -n libpurple-plugin-mattermost
mattermost protocol plugin for libpurple-based applications.

%package -n pidgin-plugin-mattermost
Summary:        mattermost protocol plugin for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-mattermost = %{version}
Requires:       pidgin
BuildArch:      noarch

%description -n pidgin-plugin-mattermost
mattermost protocol plugin for libpurple-based applications.

This package provides the icon set for Pidgin.

%prep
#%%autosetup -n %%{name}-%%{version}
%setup -q -n %{name}-%{commit}

%build
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%files -n libpurple-plugin-mattermost
%license LICENSE
%doc README.md
%{_libdir}/purple-2/libmattermost.so

%files -n pidgin-plugin-mattermost
%dir %{_datadir}/pixmaps/pidgin/
%dir %{_datadir}/pixmaps/pidgin/protocols/
%dir %{_datadir}/pixmaps/pidgin/protocols/*/
%{_datadir}/pixmaps/pidgin/protocols/*/mattermost.*

%changelog
* Tue May 31 2022 josef radinger <cheese@nosuchhost.net> - 2.0.git.20220506.25074b0-1
- bump version

* Sun Feb 21 2021 josef radinger <cheese@nosuchhost.net> - 2.0.git.20210218.a27bcda-1
- bump version

* Fri Jun 28 2019 josef radinger <cheese@nosuchhost.net> - 1.2.git.20190628.19db180-1
- bump version

* Thu Jan 31 2019 josef radinger <cheese@nosuchhost.net> - 1.2.git.20181002.9125c33-4
- rebuild
- change version/release

* Thu Jan 31 2019 josef radinger <cheese@nosuchhost.net> - 1.2-3.9125c33
- bump version to master
- add BuildRequires on zlib-devel


* Mon Dec 17 2018 josef radinger <cheese@nosuchhost.net> - 1.2-2
- add git to buildrequires, as we get the version from that

* Mon Dec 17 2018 josef radinger <cheese@nosuchhost.net> - 1.2-1
- initial release


